/*Windows XP Luna Silver theme ported to CSS by Ethan and APH, Tab & button CSS from XP.CSS, Original Luna theme by Microsoft*/ 
@import url('libraries/XP.css');
@import url('lunablue.css');
/* reuse lunablue code due to theme similarity + this is a variation of it */

/* Custom scheme vars, for custom classic themes */
:root {     
  --ButtonFace: rgb(224 223 227);
  --ButtonHilight: rgb(255, 255, 255);
  --ButtonLight: rgb(241, 239, 226);
  --ButtonShadow: rgb(157 157 161);
  --ButtonDkShadow: rgb(113, 111, 100);
}

:root {
--3d-objects: rgb(224 223 227);
--3d-objectstxt: #000;
--activebar: none;
--activebartxt: #0e1010;
--inactivebar: none;
--inactivebartxt: #FFF;
--bodybgcolor: rgb(0, 0, 0);
--desktopbgcolor: rgb(88, 87, 104);
--desktopbgimg: url("wallpapers/winxp/Vortec space.jpg");
--taskbarboxshadow: none;
--taskbarbackground: url("assets/taskbar/lunasilver/xptaskbarmiddle.png");
--desktopbgsize: 100% 100%;
--desktopbgposition: center;
--windowbg: rgb(255, 255, 255);
--windowtxt: rgb(0,0,0);
--selectedcolor: rgb(187, 183, 199);
--field: inset -1px -1px #fff, inset 1px 1px rgb(157 157 161), inset -2px -2px rgb(241 239 226), inset 2px 2px rgb(113 111 100);
--globalfont: Tahoma, Verdana, Jomolhari, Times New Roman, sans-serif;
--buttonfont: Microsoft Sans Serif, Tahoma, Jomolhari, Times New Roman, sans-serif;
--menu-button: url('assets/taskbar/lunasilver/buttons/xpstartbtn.png');
--menu-button-hover: url('assets/taskbar/lunasilver/buttons/xpstartbtnhover.png');
--menu-button-pressed: url('assets/taskbar/lunasilver/buttons/xpstartbtnpressed.png');
}

/*Theme identifier, control panel*/
#themeDropdownText:after {
content: "Windows XP - Luna Silver";
}

#winAndButtonsDropdownText:after {
content: "Windows XP style";
}

#colorSchemeDropdownText:after {
	content: "Silver";
}

/* fix all the stuff that XP.css broke */


input[type="text"], textarea, .ListBox, #searchResults, input[type="password"] {
	border: 1px solid #7F9DB9;
}


#windowcontent {
border-image-source: url('assets/frames/lunasilver/xpinactiveborderimage.png');  
background-color: rgb(224 223 227);
}

.window.current > #windowcontent, .window.forceActive > #windowcontent {
border-image-source: url('assets/frames/lunasilver/xpborderimage.png'); 
}


.window_bar {
color: rgb(162, 161, 161);
background-image: url('assets/frames/lunasilver/xpinactivetitlebarleft.png'), url('assets/frames/lunasilver/xpinactivetitlebarright.png'), url('assets/frames/lunasilver/xpinactivetitlebarmiddle.png');
}

.window.current > .window_bar, .window.forceActive > .window_bar {
text-shadow: 1px 1px #c7c2d1;
background-image: url('assets/frames/lunasilver/xptitlebarleft.png'), url('assets/frames/lunasilver/xptitlebarright.png'), url('assets/frames/lunasilver/xptitlebarmiddle.png');
color: rgb(14,16,16);
}

/* since we have imported from lunablue.css, remove everything that is common throughout all luna variants */

.window.maximized .window_bar {
background-image: url('assets/frames/lunasilver/maxtitlebarleft.png'), url('assets/frames/lunasilver/maxtitlebarright.png'), url('assets/frames/lunasilver/maxtitlebarmiddle.png');
}

.tabbutton {
background: linear-gradient(180deg,#fff 10%,#EAEAF9,#BEBED8);
border: 1px solid #91a7b4;
}

.tabbutton:not(.selected):hover {
box-shadow: unset;
border-top: 1px solid #e68b2c;
box-shadow: inset 0 2px #ffc73c;
}

.tabbutton.selected {
background: #fcfcfe;
border-color: #919b9c;
border-bottom: 1px solid transparent;
border-top: 1px solid #e68b2c;
box-shadow: inset 0 2px #ffc73c;
}

.tabcontent {
box-shadow: inset 1px 1px #fcfcfe,inset -1px -1px #fcfcfe,1px 2px 2px 0 rgba(208,206,191,.75);
background: #fcfcfe;
border: 1px solid #919b9c;
}

.button, div[id^="mBox-button"] {
border: 1px solid #003c74;
background: linear-gradient(180deg,#fff,#F0F1FC 58%,#C6C5D7);
}

input::file-selector-button, input[type=color] {
border: 1px solid #003c74;
background: linear-gradient(180deg,#fff,#F0F1FC 58%,#C6C5D7);
}

.button:hover:not(:disabled), div[id^="mBox-button"]:hover:not(:disabled) {
    box-shadow: inset -1px 1px #fff0cf,inset 1px 2px #fdd889,inset -2px 2px #fbc761,inset 2px -2px #e5a01a;
}

.button.active:not(:disabled), .button:active:not(:disabled), div[id^="mBox-button"]:active:not(:disabled) {
background: linear-gradient(180deg,#C6C5D7 25%,#F0F1FC 78%,#fff 89%);
}

.button.disabled, div[id^="mBox-button"]:disabled {
 color: rgb(161,161,146);
 background: #f1f1ed;
 border: 1px solid #c4c3bf;
}

input::file-selector-button:hover, input[type=color]:hover {
    box-shadow: inset -1px 1px #fff0cf,inset 1px 2px #fdd889,inset -2px 2px #fbc761,inset 2px -2px #e5a01a;
}

input::file-selector-button:active, input[type=color]:active {
background: linear-gradient(180deg,#C6C5D7 25%,#F0F1FC 78%,#fff 89%);
}

.button:focus, div[id^="mBox-button"]:focus {
    box-shadow: inset -1px 1px #cee7ff,inset 1px 2px #98b8ea,inset -2px 2px #bcd4f6,inset 1px -1px #89ade4,inset 2px -2px #89ade4;
}

#AboutClose {
	border: 1px solid #003c74;
}


.DropdownBox {
border: 1px solid #7F9DB9;
background: #FFF !important;
}


.DropdownText {
    color: #000;
}

.DropdownBoxButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAATCAYAAAB2pebxAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAEJSURBVDhPY/wPBBMmzmdQU1Vg+P+fAQjABAoAiTBCmHA2SO3NW/cZNLSUGBimTF30/9q12yCzSAYgfSD9TCDTNTVVQBTJAKYPbAgI/Pn7l2QMA3BDfv74TTKGAbghlAC4IT9+/CIZwwDckO/ff8FxcKAPCh+XOAzADfn2/ScYx0QFgfkgGiaGSxwGMMJk1tzlUBYDQ1pyJAoNAsjyMIAUJn/geNLUxVBRVANA4sjqYABuyO/fv1Fw74R5UBkIAPHR1cAA3BBgKsbAPf1zwXIgGps8DGCECTqAGYQPEDSEGDDIDLl3/xEDHx8XyRikDwQY37z98n/+/KUMQkJCYAFSwNu37xi0dFQZADwXaOoGnBrDAAAAAElFTkSuQmCC");
    background-size: 17px;
    height: 19px;
    width: 17px;
    top: -1px;
}

.DDcontainer:hover .DropdownBoxButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAATCAYAAAB2pebxAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAADYSURBVDhPY/wPBDHpaQzkgsjASAaG6LTU/9eu3QaZRTIA6QPpZwKZpqmpAjaVVADTBzaEUjBcDfnzB4EVFRVR+LjEYQBuyJcvv8BYVVURzAfRMDFc4jCA4Z3z529CWQwMhobqKDQIIMvDANyQz1++w/GhwxegoqgGgMSR1cEA3JCvX3+j4O07TkNlIADER1cDA3BDfv36iYE3bjoClgPR2ORhAG7Iv///seL1Gw9jFQdhGMAIWHLAIDPk3v1HDFycjCRjkD4QYHzz9sv//MpCMIccEBkYyQAAxJv+kdsOCJ8AAAAASUVORK5CYII=");
}

.DDcontainer:active .DropdownBoxButton {
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAATCAYAAAB2pebxAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAEdSURBVDhPYzx97uL/iqpyBnJBZVktA4Ozh8f/a7dv/v/6/Q/JGKQPpJ8RROzZvp3hwOE7ULOJBw62Kgwunp4MTFA+A78QL8kYBuCGCPCzM/BysWBgQW5UDFIHwzAAN4QSADdEiI+dgQ9oOjrmBYqDMJ8AFxgL8bGC1YIwHIACFgb+/v0LxgoKCnD2v38g/B+MQeIgGhmA9KN4h4mJiUFZWRnMBtEgPiMjCDMwKCkpgsVhNDLACJP79+9DWQwMiooQDTAaBJDlYQBrwGIzCASwGQACOGMHXQMuA0AApyEgANOIzwAQwGsICBAyAAQIGkIMoJ4hC7edA3NIBTB94KIAxIjNbQULkAIWT64G04x79hz6397TBuaQAwrzyxgAT8i1I6AJPdUAAAAASUVORK5CYII=");
}

.taskband {
    color: #404040;
    background: url('assets/taskbar/lunasilver/taskbands/xptaskband.png');
}

.taskband:hover {
    color: #404040;
	background: url('assets/taskbar/lunasilver/taskbands/xptaskbandhover.png');
}

.taskband:active {
    color: #fff;
	background: url('assets/taskbar/lunasilver/taskbands/xptaskbandactive.png');
}

.taskband.current {
    color: #fff;
box-shadow: none !important;
	background: url('assets/taskbar/lunasilver/taskbands/xptaskbandactive.png');
}

.taskband.current:hover {
    color: #fff;
box-shadow: none;
	background: url('assets/taskbar/lunasilver/taskbands/xptaskbandactivehover.png');
}

.taskband.current:active {
    color: #fff;
box-shadow: none;
	background: url('assets/taskbar/lunasilver/taskbands/xptaskbandactive.png');
}


#close {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

#close::after {
    background: url(assets/frames/lunasilver/xpcaptionbuttons.png);
    background-position: -68px -52px !important;
    margin-left: 4px;
}

#close:hover::after {
        background-position: -68px -13px !important;
}

#close:active::after {
        background-position: -68px -26px !important;
} 

.window.current > .window_bar > #close::after, .window.forceActive > .window_bar > #close::after {
        background-position: -68px 0px;
}


#close:hover {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

#close:active {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

/* css for max button */
#maximize {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

#maximize::after {
    background-image: url(assets/frames/lunasilver/xpcaptionbuttons.png);
        width: 12px;
        margin-left: 4px;
    background-position: -55px -52px !important;
}

#maximize:hover::after {
        background-position: -55px -13px !important;
}

#maximize:active::after {
        background-position: -55px -26px !important;
} 

.window.current > .window_bar > #maximize::after, .window.forceActive > .window_bar > #maximize::after {
        background-position: -55px 0px !important;
}
#maximize:hover {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

#maximize:active {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

/* css for min button */

#minimize {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

#minimize::after {
    background-image: url(assets/frames/lunasilver/xpcaptionbuttons.png);
    background-position: -42px -52px !important;
            width: 12px;
}

#minimize:hover::after {
        background-position: -42px -13px !important;
}

#minimize:active::after {
        background-position: -42px -26px !important;
} 

.window.current > .window_bar > #minimize::after, .window.forceActive > .window_bar > #minimize::after {
        background-position: -42px 0px !important;
}

#minimize:hover {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

#minimize:active {
background-image: url('assets/frames/lunasilver/xpcaptionbuttons.png');
}

/* end of min */


#Menu, .submenu {
background: white !important;
border: 1px solid rgb(157, 157, 161);
}

.contextmenu { 
background: white !important;
border: 1px solid rgb(157, 157, 161);
}

/* Systray */
#SysTrayTime {
background: url(assets/taskbar/lunasilver/taskbartray.png);
color: #404040;
}

/* inter browser */

.rebar {
   box-shadow: inset 0px 1px rgb(216, 210, 189), inset 0px 2px rgb(255, 255, 255);
}

#r1stbar {
box-shadow: none;
    height: 22px;
}

.ToolbarSeparator {
box-shadow: inset 1px 0px rgb(191, 191, 197);
}

#interaddress {
color: rgb(127,124,115);
}

#intergobtn {
color: black;
}

.throbber {
box-shadow: inset 1px 0px rgb(216, 210, 189), inset 2px 0px rgb(255, 255, 255);
margin: 0;
top: 0px;
}
#browserbar {
margin: 0;
   box-shadow: none;
background: linear-gradient(90deg, rgb(244, 244, 238), rgb(224, 226, 235));
}


.nonNativeStartPageTxt {
color: rgb(223,229,247);
}


.nonNativeStartPageBlurb {
color: white;
}


.NonNativeStartScreens {
    background-color: rgb(177,179,200);
}

.nonNativeStartPageLink {
color: white !important;
}

.QLToolbarBtns {
	box-shadow: none;
background-image: url(assets/taskbar/lunasilver/taskbartoolbarbtn.png);
background-position: 0 0;
}

.QLToolbarBtns:hover {
box-shadow: none;
background-image: url(assets/taskbar/lunasilver/taskbartoolbarbtn.png);
background-position: 0 -25px;
}

.QLToolbarBtns:active {
box-shadow: none;
background-image: url(assets/taskbar/lunasilver/taskbartoolbarbtn.png);
background-position: 0 -50px;
}

/*Rimet XP theme*/